
/*################################################################################################
 *##################                                                            ##################
 *##################                      ERROR TRACER                          ##################
 *##################                                                            ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*
 * OKit:   Object Tree,  RPL Virtual Machine  and  compiler  shared library
 *
 * Copyright (C) 2000 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  landrin@multimania.com
 * Homepage: http://landrin.multimania.com/
 */



#ifndef _OKIT_ERRLOG_
#define _OKIT_ERRLOG_

#include <stdarg.h>


//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Error Log
/////

void SETERRLOGFILE(int fd) ;

void ERRTRACEON() ;

void ERRTRACEOFF() ;

void ERRTRACEDBG(unsigned long dbglevel) ;

void FATALERR(int err) ;

void ERRMARK() ;

void DEBUG(char * funcname, unsigned char dbglevel, char * message, ...) ;

void ERROR(char * funcname, char * message, ...) ;

void MESSAGE(char * funcname, char * message, ...) ;

void ERRPRINT() ;

void ERRFLUSH() ;



#endif //_OKIT_ERRLOG_
