
/*################################################################################################
 *##################                                                            ##################
 *##################                     File IO module                         ##################
 *##################                                                            ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*
 * OKit:   Object Tree,  RPL Virtual Machine  and  compiler  shared library
 *
 * Copyright (C) 2000 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  landrin@multimania.com
 * Homepage: http://landrin.multimania.com/
 */



#ifndef _OKIT_FILEIOMOD_

#define _OKIT_FILEIOMOD_


#include <OKit/ObjTypes.h>
#include <OKit/SysTypes.h>


//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Objects File-descriptor Printing
/////

unsigned long ObjectPrint(Object obj, int fd) ;

unsigned long VoidPrint(Void vd, int fd) ;

unsigned long IntgPrint(Intg in, int fd) ;

unsigned long FltpPrint(Fltp fp, int fd) ;

unsigned long StrgPrint(Strg str, int fd) ;

unsigned long ListPrint(List lst, int fd) ;

unsigned long CodePrint(Code cod, int fd) ;

unsigned long BltnPrint(Bltn blt, int fd) ;



//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Stack and NameSpace File-descriptor Printing
/////

unsigned long StackFPrint(Stack stk, int fd, char * head, char * rowfmt, char * tail, unsigned long rows) ;

unsigned long NameSpaceFPrint(NameSpace nms, int fd, char * head, char * rowfmt, char * tail) ;




#endif // _OKIT_FILEIOMOD_

