
/*################################################################################################
 *##################                                                            ##################
 *##################                     Parsing module                         ##################
 *##################                                                            ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*
 * OKit:   Object Tree,  RPL Virtual Machine  and  compiler  shared library
 *
 * Copyright (C) 2000 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  landrin@multimania.com
 * Homepage: http://landrin.multimania.com/
 */



#ifndef _OKIT_PARSEMOD_

#define _OKIT_PARSEMOD_

#include <OKit/ObjTypes.h>
#include <OKit/SysTypes.h>
#include <OKit/ExecMod.h>



//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Parsing
/////


Bltn * BltnSort(Bltn * table, unsigned long tablesize) ;

Bltn BltnByName(Bltn * table, unsigned long tablesize, char * str) ;

Object ObjectParse(Bltn * table, unsigned long tablesize, char * str, unsigned long * off) ;

List ListParse(Bltn * table, unsigned long tablesize, char * str, unsigned long * off) ;



#endif // _OKIT_PARSEMOD_
