
/*################################################################################################
 *##################                                                            ##################
 *##################                         SPLASH                             ##################
 *##################                                                            ##################
 *##################                     Implementation                         ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*
 * OKit:   Object Tree,  RPL Virtual Machine  and  compiler  shared library
 *
 * Copyright (C) 2000 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  landrin@multimania.com
 * Homepage: http://landrin.multimania.com/
 */

#include <OKit/Splash.h>

#define __STR(x)	#x
#define _STR(x)		__STR(x)
#define __CAT(x,y)	x##y
#define _CAT(x,y)	__CAT(x,y)
#define __DOTCAT(x,y,z)	x##.##y##.##z
#define _DOTCAT(x,y,z)	__DOTCAT(x,y,z)
#define VERSION		_STR(_DOTCAT(VMAJ,VMIN,VREL))
#define COPYRIGHT	_STR(OKit _DOTCAT(VMAJ,VMIN,VREL) is (C) 2001 Yann LANDRIN-SCHWEITZER)
#define SPLASH		"OKit: Object Tree, RPL Virtual Machine and compiler shared library"
#define AUTHOR		"Yann LANDRIN-SCHWEITZER -- landrin@multimania.com -- http://landrin.multimania.com/"

#define SYNTAX		\
"Object          Generic object                  [none]  ---\n\
        Void    Undefined object                [null]  ''\n\
        Intg    Integer number on 32 bits       [scal]  '123456'\n\
        Fltp    Floating point number           [scal]  '3.1415926e+00'\n\
        Strg    Character string                [scal]  '\"any text\"'\n\
        List    All-purposes list               [list]  '[ obj1 obj2 ... ]'\n\
        Code    Dynamic executable code         [exec]  '<CODE_NAME>' or '<CODE_NAME:data>\n\
        Bltn    Static executable code          [exec]  'BLTN_NAME`'\n\
"


char * OKit_version() {
	return VERSION ;
}

char * OKit_copyright() {
	return COPYRIGHT ;

}

char * OKit_splash() {
	return SPLASH ;
}

char * OKit_author() {
	return AUTHOR ;
}

char * OKit_syntax() {
	return SYNTAX ;
}


